## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           nchat
Version:        5.4.2
Release:        %autorelease
Summary:        Terminal-based Telegram client

License:        MIT
URL:            https://github.com/d99kris/nchat
VCS:            git:%{url}.git
Source:         %{url}/archive/v%{version}/nchat-%{version}.tar.gz

BuildRequires:  ccache
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  file-devel
BuildRequires:  file-libs
BuildRequires:  gperf
BuildRequires:  libxcb-devel
BuildRequires:  readline-devel
BuildRequires:  openssl-devel
BuildRequires:  ncurses-devel
BuildRequires:  sqlite-devel
BuildRequires:  zlib-devel
# Bundled libraries
## https://github.com/dlecocq/apathy
# BuildRequires:  apathy-devel
BuildRequires:  cereal-devel
## https://github.com/dacap/clip/
# BuildRequires:  clip-devel
## https://github.com/aminroosta/sqlite_modern_cpp
## https://github.com/SqliteModernCpp/sqlite_modern_cpp
# BuildRequires:  sqlte_modern_cpp-devel
BuildRequires:  tdlib-devel

%description
Terminal-based Telegram client that works on Linux and MacOS.

%prep
%autosetup


%build
%cmake -DHAS_WHATSAPP=OFF \
       -DHAS_STATICGOLIB=OFF \
       -DCMAKE_SKIP_INSTALL_RPATH=ON \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_INSTALL_LIBDIR=%{_libdir}/nchat \
       -DCMAKE_INSTALL_MANDIR=%{_mandir}
%cmake_build


%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc README.md
%{_bindir}/nchat
%dir %{_libdir}/nchat
%{_libdir}/nchat/libncutil.so
%{_libdir}/nchat/libduchat.so
%{_libdir}/nchat/libtgchat.so
%{_libdir}/nchat/libtdclientshared.so
%{_mandir}/man1/nchat.1*
%dir %{_datadir}/nchat
%{_datadir}/nchat/themes/

%changelog
## START: Generated by rpmautospec
* Wed Jan 29 2025 John Doe <packager@example.com> - 5.4.2-1
- Uncommitted changes
## END: Generated by rpmautospec
